#ifdef NETAPP //BURT350945 make strings MT safe

#ifndef _GLIBCXX_STR_MUTEX_H_
#define _GLIBCXX_STR_MUTEX_H_

#include <cstdlib>
#include <cstdio>
#include <cctype>

namespace std
{
    int str_lock(const void * const volatile * addr, const void * const volatile * addr2,
                 unsigned * locked, unsigned * locked2);
    int str_unlock(unsigned locked, unsigned locked2);

    void str_lock_enable_stat(bool enable);
    void str_lock_stat(char* latency_buf, unsigned int latency_buf_size,
                       char* hash_buf,    unsigned int hash_buf_size);
};

#endif // _GLIBCXX_STR_MUTEX_H_

#endif // NETAPP

