#include <stdlib.h>
#ifndef lint
#ifdef __unused
__unused
#endif
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.37 2003/02/12 18:03:55 davidc Exp $";
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
#if defined(__cplusplus) || __STDC__
static int yygrowstack(void);
#else
static int yygrowstack();
#endif
#define YYPREFIX "yy"
#line 2 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"%Z%%M%	%I%	%E% SMI"

#include <dt_impl.h>

#define	OP1(op, c)	dt_node_op1(op, c)
#define	OP2(op, l, r)	dt_node_op2(op, l, r)
#define	OP3(x, y, z)	dt_node_op3(x, y, z)
#define	LINK(l, r)	dt_node_link(l, r)
#define	DUP(s)		strdup(s)

#line 39 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
typedef union {
	dt_node_t *l_node;
	dt_decl_t *l_decl;
	char *l_str;
	uintmax_t l_int;
	int l_tok;
} YYSTYPE;
#line 68 "dt_grammar.c"
#define DT_TOK_COMMA 257
#define DT_TOK_ELLIPSIS 258
#define DT_TOK_ASGN 259
#define DT_TOK_ADD_EQ 260
#define DT_TOK_SUB_EQ 261
#define DT_TOK_MUL_EQ 262
#define DT_TOK_DIV_EQ 263
#define DT_TOK_MOD_EQ 264
#define DT_TOK_AND_EQ 265
#define DT_TOK_XOR_EQ 266
#define DT_TOK_OR_EQ 267
#define DT_TOK_LSH_EQ 268
#define DT_TOK_RSH_EQ 269
#define DT_TOK_QUESTION 270
#define DT_TOK_COLON 271
#define DT_TOK_LOR 272
#define DT_TOK_LXOR 273
#define DT_TOK_LAND 274
#define DT_TOK_BOR 275
#define DT_TOK_XOR 276
#define DT_TOK_BAND 277
#define DT_TOK_EQU 278
#define DT_TOK_NEQ 279
#define DT_TOK_LT 280
#define DT_TOK_LE 281
#define DT_TOK_GT 282
#define DT_TOK_GE 283
#define DT_TOK_LSH 284
#define DT_TOK_RSH 285
#define DT_TOK_ADD 286
#define DT_TOK_SUB 287
#define DT_TOK_MUL 288
#define DT_TOK_DIV 289
#define DT_TOK_MOD 290
#define DT_TOK_LNEG 291
#define DT_TOK_BNEG 292
#define DT_TOK_ADDADD 293
#define DT_TOK_SUBSUB 294
#define DT_TOK_PREINC 295
#define DT_TOK_POSTINC 296
#define DT_TOK_PREDEC 297
#define DT_TOK_POSTDEC 298
#define DT_TOK_IPOS 299
#define DT_TOK_INEG 300
#define DT_TOK_DEREF 301
#define DT_TOK_ADDROF 302
#define DT_TOK_OFFSETOF 303
#define DT_TOK_SIZEOF 304
#define DT_TOK_STRINGOF 305
#define DT_TOK_XLATE 306
#define DT_TOK_LPAR 307
#define DT_TOK_RPAR 308
#define DT_TOK_LBRAC 309
#define DT_TOK_RBRAC 310
#define DT_TOK_PTR 311
#define DT_TOK_DOT 312
#define DT_TOK_STRING 313
#define DT_TOK_IDENT 314
#define DT_TOK_PSPEC 315
#define DT_TOK_AGG 316
#define DT_TOK_TNAME 317
#define DT_TOK_INT 318
#define DT_KEY_AUTO 319
#define DT_KEY_BREAK 320
#define DT_KEY_CASE 321
#define DT_KEY_CHAR 322
#define DT_KEY_CONST 323
#define DT_KEY_CONTINUE 324
#define DT_KEY_COUNTER 325
#define DT_KEY_DEFAULT 326
#define DT_KEY_DO 327
#define DT_KEY_DOUBLE 328
#define DT_KEY_ELSE 329
#define DT_KEY_ENUM 330
#define DT_KEY_EXTERN 331
#define DT_KEY_FLOAT 332
#define DT_KEY_FOR 333
#define DT_KEY_GOTO 334
#define DT_KEY_IF 335
#define DT_KEY_IMPORT 336
#define DT_KEY_INLINE 337
#define DT_KEY_INT 338
#define DT_KEY_LONG 339
#define DT_KEY_PROBE 340
#define DT_KEY_PROVIDER 341
#define DT_KEY_REGISTER 342
#define DT_KEY_RESTRICT 343
#define DT_KEY_RETURN 344
#define DT_KEY_SELF 345
#define DT_KEY_SHORT 346
#define DT_KEY_SIGNED 347
#define DT_KEY_STATIC 348
#define DT_KEY_STRING 349
#define DT_KEY_STRUCT 350
#define DT_KEY_SWITCH 351
#define DT_KEY_THIS 352
#define DT_KEY_TYPEDEF 353
#define DT_KEY_UNION 354
#define DT_KEY_UNSIGNED 355
#define DT_KEY_VOID 356
#define DT_KEY_VOLATILE 357
#define DT_KEY_WHILE 358
#define DT_KEY_XLATOR 359
#define DT_TOK_EPRED 360
#define DT_CTX_DEXPR 361
#define DT_CTX_DPROG 362
#define DT_CTX_DTYPE 363
#define DT_TOK_EOF 0
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    1,    1,    2,    2,    3,    3,    4,
    4,    5,    5,    5,    5,    5,   65,    6,    7,    7,
    8,    8,    9,   10,   10,   11,   11,   12,   12,   13,
   13,   13,   13,   14,   15,   15,   16,   16,   17,   17,
   18,   18,   60,   60,   59,   59,   59,   59,   59,   59,
   59,   58,   58,   58,   58,   58,   58,   58,   58,   58,
   58,   58,   58,   58,   57,   57,   57,   57,   57,   57,
   57,   62,   62,   62,   62,   62,   62,   56,   56,   55,
   55,   55,   55,   54,   54,   54,   53,   53,   53,   52,
   52,   52,   52,   52,   51,   51,   51,   50,   50,   49,
   49,   48,   48,   47,   47,   46,   46,   45,   45,   44,
   43,   43,   42,   42,   61,   61,   61,   61,   61,   61,
   61,   61,   61,   61,   61,   41,   41,   19,   19,   64,
   64,   64,   64,   64,   64,   67,   67,   67,   67,   67,
   67,   68,   68,   68,   68,   68,   66,   66,   66,   22,
   22,   22,   22,   22,   22,   22,   22,   22,   22,   22,
   22,   22,   23,   23,   23,   24,   24,   24,   69,   69,
   69,   63,   63,   70,   70,   20,   20,   21,   71,   25,
   25,   25,   25,   72,   72,   73,   73,   73,   26,   26,
   26,   74,   74,   74,   75,   75,   76,   76,   27,   27,
   28,   28,   28,   28,   77,   29,   29,   29,   29,   30,
   30,   34,   34,   34,   35,   35,   36,   36,   36,   31,
   31,   32,   32,   32,   33,   33,   33,   33,   33,   78,
   37,   38,   38,   38,   79,   39,   40,   40,
};
short yylen[] = {                                         2,
    2,    2,    2,    1,    2,    1,    2,    1,    2,    1,
    2,    1,    1,    1,    1,    1,    0,    7,   10,    9,
    1,    2,    4,    6,    5,    1,    2,    6,    4,    1,
    4,    4,    7,    1,    1,    3,    1,    1,    1,    3,
    0,    1,    1,    3,    1,    1,    1,    1,    1,    1,
    3,    1,    4,    3,    4,    3,    3,    3,    3,    2,
    2,    6,    6,    7,    1,    2,    2,    2,    2,    4,
    2,    1,    1,    1,    1,    1,    1,    1,    4,    1,
    3,    3,    3,    1,    3,    3,    1,    3,    3,    1,
    3,    3,    3,    3,    1,    3,    3,    1,    3,    1,
    3,    1,    3,    1,    3,    1,    3,    1,    3,    1,
    1,    5,    1,    3,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    3,    2,    3,    1,
    2,    1,    2,    1,    2,    1,    2,    1,    2,    1,
    2,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    3,    2,    2,    2,    3,
    3,    1,    1,    1,    2,    1,    3,    1,    3,    1,
    2,    1,    2,    1,    3,    1,    2,    3,    3,    2,
    2,    2,    3,    3,    1,    3,    1,    3,    1,    2,
    1,    3,    2,    2,    1,    1,    2,    2,    3,    1,
    2,    1,    1,    3,    1,    3,    1,    2,    2,    1,
    2,    1,    1,    2,    3,    2,    1,    2,    1,    0,
    4,    0,    1,    1,    0,    4,    0,    1,
};
short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,   72,   74,   75,
   73,   77,   76,    0,    0,    0,    0,    0,    0,    0,
   48,   45,   46,   47,   49,   50,    0,  126,  113,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   80,    0,    0,   52,    0,   37,  160,   38,  142,  151,
  163,  156,    0,  145,  155,    0,  153,  154,    0,  143,
  164,  148,  152,  157,  144,  159,  172,  149,  146,  173,
  158,  150,  165,    0,    0,   10,   12,   13,   14,   15,
    0,    0,   35,   16,    0,    0,  161,  162,    0,    0,
    0,  147,    0,    0,    0,    0,    0,    9,    1,    2,
    3,    0,   66,   67,    0,    0,   69,   71,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  115,  119,  120,  116,  117,  118,  123,  124,
  125,  121,  122,    0,   60,   61,    0,    0,    0,    0,
   68,   78,    0,    0,  192,    0,    0,    0,   11,    0,
    0,    0,  133,  135,    0,    0,  169,    0,  205,  201,
  128,    0,  176,  178,    0,    0,    0,  131,    0,    0,
  174,    0,    0,  195,  181,  183,    0,  230,    0,  221,
    0,  227,  229,    0,    0,    0,    0,    0,   51,  127,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   81,   82,   83,
  114,   54,   43,    0,    0,   58,   59,   56,   57,  193,
  194,   17,    0,    0,    0,    0,   39,    0,   36,  170,
  171,  210,  208,    0,    0,  129,  235,  203,  204,    0,
    0,    0,    0,    0,  184,  166,  175,    0,    0,  189,
    0,    0,    0,  226,  228,    0,    0,   70,    0,   79,
    0,    0,   55,   53,    0,    0,    0,    0,   26,    0,
    0,    0,   31,  211,  209,  177,  202,  110,  187,    0,
    0,  179,  198,  196,  213,    0,    0,  238,    0,  215,
    0,    0,    0,  234,    0,  233,  225,    0,    0,    0,
  112,   44,    0,    0,   25,    0,   27,    0,    0,   40,
  188,  185,  139,  141,    0,  236,  218,    0,  219,    0,
  137,  231,   62,   63,    0,    0,    0,   24,    0,    0,
  214,  216,   64,   18,    0,   29,    0,   33,    0,    0,
    0,    0,   21,   28,    0,   20,    0,   22,    0,   19,
   23,
};
short yydgoto[] = {                                       4,
    5,    6,    7,   75,   76,   77,   78,  352,  353,   79,
  278,  279,   80,   81,   82,   83,  236,  237,   84,  172,
  173,   95,   96,   87,   97,   88,  174,  175,  176,  244,
   98,  266,  191,  298,  299,  300,  192,  305,  193,  301,
  111,   28,   29,  289,   30,   31,   32,   33,   34,   35,
   36,   37,   38,   39,   40,   41,  152,   43,   44,  224,
  144,   45,   89,   90,  275,   91,  302,   92,   93,  180,
  181,  254,  255,   94,  183,  184,  177,  262,  261,
};
short yysindex[] = {                                   -174,
 2063, 2151,  887,    0,   49,   59,   79,    0,    0,    0,
    0,    0,    0, 2106, 2106, -188, 2139, 2106, -194, 1956,
    0,    0,    0,    0,    0,    0, -100,    0,    0,  -96,
 -141, -123, -130, -113, -111, -234, -211,  -89, -213,    8,
    0,  374,  242,    0, 2063,    0,    0,    0,    0,    0,
    0,    0,  -83,    0,    0, 1223,    0,    0, -114,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  887, 2151,    0,    0,    0,    0,    0,
 -106,  -53,    0,    0, 1223, 1223,    0,    0,  -71,  110,
 1223,    0,  887,  -84,  887,  887, -157,    0,    0,    0,
    0, 2063,    0,    0,  887, 1956,    0,    0,  887,  -76,
 -228, 2063, 2063, 2063, 2063, 2063, 2063, 2063, 2063, 2063,
 2063, 2063, 2063, 2063, 2063, 2063, 2063, 2063, 2063, 2063,
 2063, 2063,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 2063,    0,    0, 2030, 2063, -256, -229,
    0,    0,  112,  114,    0, -165,  116,  -33,    0, 2063,
 2063, -182,    0,    0,  121,  129,    0, -266,    0,    0,
    0,  -48,    0,    0, -128, -166, -165,    0, -142, 1590,
    0,   -5, -101,    0,    0,    0,    0,    0, -125,    0,
 -128,    0,    0, -157,   -4,  -52,   12, 2063,    0,    0,
 -221, -141, -123, -130, -113, -111, -234, -211, -211,  -89,
  -89,  -89,  -89, -213, -213,    8,    8,    0,    0,    0,
    0,    0,    0, -202, -226,    0,    0,    0,    0,    0,
    0,    0, -121,  887, -238,  -38,    0, -100,    0,    0,
    0,    0,    0, -266, -165,    0,    0,    0,    0, -128,
   26, 2063,   31,  -44,    0,    0,    0, 2063,  -84,    0,
 1841, 1693, -128,    0,    0,   30, -153,    0,   33,    0,
 2063, 2063,    0,    0,   85,   37,  286, -116,    0,   43,
  236, 2063,    0,    0,    0,    0,    0,    0,    0, 2063,
 -142,    0,    0,    0,    0, 1223, 1223,    0,  103,    0,
   48, -170, 1223,    0,   83,    0,    0,   87,   89, 2063,
    0,    0, 2063,   82,    0,  342,    0,  123, 2063,    0,
    0,    0,    0,    0, 1882,    0,    0, -134,    0, -170,
    0,    0,    0,    0, -192,  348,  -56,    0,  285,  -36,
    0,    0,    0,    0,   82,    0, -115,    0,  350,  152,
  362, -112,    0,    0, 2063,    0,  364,    0,  367,    0,
    0,
};
short yyrindex[] = {                                      0,
  427,  428,  429,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  430,    0,    0,  501,
  864,   76, 1012,  983,  913,  830,  729,  463,  295,   96,
    0,   42,    1,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  431,    0,    0,    0,    0,    0,
 1139, 1090,    0,    0,  -59,  344,    0,    0,    0,    0,
  405,    0,    0,    0,  893, 1052,  153,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1276, 1356,    0,    0,    0,    0,    0,    0,
  -16,    0,    0,    0, 1450, 1544,    0,  105,    0,    0,
    0,    0,    0,    0,  -51,    0,    0,    0,    0,    0,
    0,  -97,    0,    0,    0,    0, 1799,    0,  218,    0,
  108,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1074, 1017, 1040,  991,  921,  852,  753,  807,  523,
  564,  627,  688,  337,  399,  168,  233,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  -12,    0,    0,
    0,    0,    0,  177,    0,    0,    0,    0,    0,   84,
    0,    0,  -43,    0,    0,    0,    0,    0,    0,    0,
  124,  127,  217,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1182,  -16,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, -117,  460,    0, -103,    0,
    0, -227,  468,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  -16,    0,
    0,    0,    0,    0,    0,    0,    0, -193,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,
};
short yygindex[] = {                                      0,
    0,    0,    0,    0,  385,    0,    0,    0,  113,    0,
    0,  188,    0,    0,    0,  306,  150,  189,    0,    0,
  225,   39, 1680,    0,  -42,    0, -144, -158,  -90,    0,
   -6,  -91, -169,  210,    0,  148, -143,    0, -129,    0,
   81, -110, -196, -223,    0,  363,  365,  366,  371,  361,
  370,  102,  183,   99,   -1,  -20, 1813,    0,    0,  333,
    0,    0,    0,    7,    0,    0,    0, -235,    0,    0,
  303,    0,  201,    0,    0,  234,  -92,    0,    0,
};
#define YYTABLESIZE 2510
short yytable[] = {                                     132,
   65,  200,  346,  277,  194,  190,  189,  199,  316,  351,
  246,  232,  357,  110,  292,  186,  161,  250,  112,  263,
  282,  168,  282,  260,  151,  303,  303,  197,  112,  217,
  272,  248,  251,  221,  253,  112,  223,  223,  306,  155,
   85,   78,   41,  120,  121,  249,   42,  264,   99,  271,
  179,  167,  185,  186,  272,  288,   51,  226,  100,   65,
  227,  265,  156,  222,  112,  288,  321,  158,  122,  123,
  124,  125,  128,  129,  311,  106,   61,  243,  101,  199,
  217,   27,  217,  274,  228,  109,  283,  229,  348,  303,
   73,  163,  164,  288,   85,   84,  194,  178,  195,  196,
   78,  194,  197,  189,  206,  273,  248,  223,   41,  218,
  219,  220,   42,   85,  222,  343,  222,  168,  105,  264,
  249,  281,  168,   85,   85,   65,  216,  217,  252,   85,
  168,  115,   46,  265,  106,   48,  187,  179,  188,  138,
  169,  169,  200,  170,  117,  168,  253,  170,  170,  187,
  116,  188,  220,  285,   84,  259,  112,  327,  263,  197,
  308,  312,  118,  309,  169,  119,   78,   85,  171,  250,
  138,  170,  187,  113,  188,  114,  207,  270,  247,  170,
  188,  187,  160,  188,  337,  251,    1,    2,    3,  138,
  138,  138,  138,  201,  126,  127,  138,  132,  350,  157,
  106,  350,  336,  162,  212,  199,  212,  199,  245,  330,
  329,  328,  291,  186,  345,  349,  224,  222,  276,  199,
   84,  208,  209,  276,  214,  215,   85,  280,  132,  182,
  153,  198,   86,  154,  230,  330,  231,  330,  233,  328,
  235,  238,  165,  240,  359,  166,  234,  132,  132,  132,
  132,  241,  267,  258,  132,  268,  199,   65,  199,   65,
   65,   65,   65,   65,   65,   65,   65,   65,   65,   65,
   65,   65,   65,   65,   65,   65,   65,   65,   65,   65,
   65,   65,   65,   65,   65,   65,   65,   65,   65,   65,
   65,   86,   85,  269,   87,  130,  131,  132,   78,  296,
  296,  290,  323,  324,  210,  211,  212,  213,   65,  331,
   65,   78,   78,   78,   78,   78,   78,   78,   78,   78,
   78,   78,   78,   78,   78,   78,   78,   78,   78,   78,
   78,   78,  106,  287,   85,   85,   88,  307,  293,  310,
  200,   85,  200,  313,  315,  106,  106,  106,  106,   78,
  314,   78,   84,   87,  200,  326,  318,   86,  319,  325,
   65,  206,  238,  296,  223,   84,   84,   84,   84,   84,
   84,   84,   84,   84,   84,   84,   84,   84,   84,   84,
   84,   84,   84,  106,  206,  106,  206,  223,  247,  223,
  335,  200,  332,  200,  333,   88,  334,  168,   89,  238,
  338,   78,  134,   84,  339,   84,  344,  347,  354,  220,
  355,  206,  206,  206,  206,  223,  169,  223,  206,   87,
  356,  223,  360,  170,   85,  361,    4,    6,    8,    5,
    7,  237,  220,  207,  220,  106,  232,   85,   85,   85,
   85,   85,   85,   85,   85,   85,   85,   85,   85,   85,
   85,   85,   85,   85,   85,   84,  207,   89,  207,  159,
  220,   88,   90,  130,  358,  317,  220,  239,  340,  286,
  320,  304,  342,  224,  222,   85,  202,   85,  206,  203,
  225,  204,  257,  207,  207,  207,  207,  205,  207,   86,
  207,  322,  294,    0,    0,    0,  224,  222,  224,  222,
  111,    0,   86,   86,   86,   86,   86,   86,   86,   86,
   86,   86,   86,   86,   86,   86,   86,   86,   86,   86,
    0,   90,   91,   89,  224,  222,  224,   85,    0,    0,
  224,  222,    0,    0,  145,  146,    0,    0,    0,    0,
   86,    0,   86,    0,    0,    0,    0,    0,  147,    0,
  148,   87,  149,  150,    0,    0,    0,    0,    0,  111,
    0,    0,    0,   93,   87,   87,   87,   87,   87,   87,
   87,   87,   87,   87,   87,   87,   87,   87,   87,   87,
    0,   91,    0,    0,    0,    0,    0,   90,    0,    0,
    0,    0,   86,   88,    0,    0,    0,    0,    0,    0,
  134,    0,   87,    0,   87,    0,   88,   88,   88,   88,
   88,   88,   88,   88,   88,   88,   88,   88,   88,   88,
   88,   88,   93,    0,    0,  111,   92,    0,    0,    0,
    0,  134,  133,  134,  135,  136,  137,  138,  139,  140,
  141,  142,  143,    0,   88,    0,   88,   91,    0,    0,
  134,  134,  134,  134,   87,   89,    0,  134,    0,    0,
    0,  130,    0,    0,    0,    0,    0,    0,   89,   89,
   89,   89,   89,   89,   89,   89,   89,   89,   89,   89,
   89,   89,   89,   89,    0,   92,    0,   94,   93,    0,
    0,    0,  130,    0,    0,    0,   88,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   89,    0,   89,    0,
    0,  130,  130,  130,  130,    0,  140,    0,  130,   90,
    0,    0,    0,    0,  136,    0,    0,    0,   95,    0,
    0,    0,   90,   90,   90,   90,   90,   90,   90,   90,
   90,   90,   90,   90,   90,   90,   94,  140,    0,    0,
    0,   92,   96,    0,    0,  136,    0,  111,   89,    0,
    0,    0,    0,    0,    0,    0,  140,  140,  140,  140,
   90,  111,   90,  140,  136,  136,  136,  136,    0,   91,
    0,  136,    0,    0,    0,    0,    0,   95,    0,    0,
    0,    0,   91,   91,   91,   91,   91,   91,   91,   91,
   91,   91,   91,   91,   91,   91,   97,    0,  111,    0,
  111,   96,   94,    0,    0,    0,    0,    0,    0,    0,
   93,    0,   90,    0,    0,    0,    0,    0,    0,   98,
   91,    0,   91,   93,   93,   93,   93,   93,   93,   93,
   93,   93,   93,   93,   93,   93,   93,    0,    0,    0,
    0,   99,    0,   95,    0,    0,    0,    0,    0,    0,
  111,    0,    0,  108,    0,   97,    0,    0,    0,    0,
    0,   93,    0,   93,    0,    0,    0,   96,    0,    0,
    0,    0,   91,   92,    0,    0,    0,    0,   98,    0,
    0,    0,  180,    0,    0,    0,   92,   92,   92,   92,
   92,   92,   92,   92,   92,   92,   92,   92,   92,   92,
   99,    0,  100,    0,    0,    0,    0,    0,    0,    0,
  101,    0,  108,   93,    0,    0,    0,    0,    0,    0,
    0,   97,    0,    0,   92,    0,   92,    0,    0,    0,
    0,    0,    0,    0,   94,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   98,    0,    0,   94,   94,   94,
   94,   94,   94,   94,   94,   94,   94,   94,   94,   94,
   94,  100,    0,    0,    0,    0,   99,    0,    0,  101,
    0,    0,  102,    0,    0,   95,   92,    0,  108,    0,
  103,    0,    0,    0,    0,   94,    0,   94,   95,   95,
   95,   95,   95,   95,   95,   95,   95,   95,    0,   96,
    0,  104,    0,    0,    0,    0,  107,    0,    0,    0,
    0,    0,   96,   96,   96,   96,   96,   96,   96,   96,
   96,   96,    0,    0,    0,    0,   95,  100,   95,  105,
    0,  102,    0,    0,    0,  101,    0,   94,    0,  103,
    0,  182,    0,    0,    0,    0,    0,    0,    0,    0,
   96,    0,   96,   97,    0,    0,    0,    0,    0,    0,
  104,    0,    0,  109,    0,  107,   97,   97,   97,   97,
   97,   97,   97,   97,   97,   97,   98,    0,   95,   34,
    0,    0,    0,    0,    0,    0,    0,    0,  105,   98,
   98,   98,   98,   98,   98,   98,   98,  102,   99,    0,
    0,    0,   96,    0,   97,  103,   97,    0,    0,    0,
  108,   99,   99,   99,   99,   99,   99,   99,   99,    0,
    0,    0,  109,  108,  108,  108,  104,   98,   30,   98,
    0,  107,    0,    0,    0,    0,    0,    0,    0,  180,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   99,
    0,   99,    0,  180,  105,    0,   97,    0,    0,  100,
    0,  108,  180,  108,  180,    0,    0,  101,    0,    0,
  180,   32,  100,  100,  100,  100,  100,  100,  100,   98,
  101,  101,  101,  101,  101,  101,  101,    0,  109,  180,
  180,  180,    0,   47,    0,    0,  180,    0,   50,   51,
    0,   99,   34,    0,   52,    0,   53,    0,   55,    0,
  100,    0,  100,  108,   57,   58,    0,    0,  101,   61,
  101,    0,   63,   64,    0,   66,   67,    0,    0,  102,
   70,   71,   72,   73,    0,    0,    0,  103,    0,    0,
    0,    0,  102,  102,  102,  102,  102,  102,    0,    0,
  103,  103,  103,  103,  103,  103,    0,    0,  104,    0,
    0,    0,  100,  107,    0,  190,    0,    0,    0,    0,
  101,  104,  104,  104,  104,  104,  107,  107,  107,  107,
  102,    0,  102,    0,    0,    0,  105,    0,  103,    0,
  103,    0,    0,    0,    0,    0,    0,    0,  182,  105,
  105,  105,  105,  105,    0,    0,    0,    0,    0,  104,
    0,  104,  182,    0,  107,    0,  107,    0,    0,    0,
  109,  182,    0,  182,  190,    0,    0,    0,    0,  182,
    0,    0,  102,  109,  109,  109,    0,  105,    0,  105,
  103,    0,    0,    0,    0,  191,    0,    0,  182,  182,
  182,    0,    0,    0,    0,  182,    0,    0,    0,    0,
    0,  104,    0,    0,    0,    0,  107,    0,   34,    0,
    0,  109,    0,  109,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  105,
    0,    0,    0,    0,   34,    0,   34,   34,   34,    0,
    0,   34,   34,    0,  191,    0,    0,   34,    0,   34,
   34,   34,    0,    0,    0,    0,   34,   34,   34,    0,
   34,   34,   34,  109,   34,   34,   34,   34,   34,   34,
    0,   34,   34,   34,   34,   34,   34,    0,   34,  167,
    0,    0,    0,   30,    0,   30,   30,   30,    0,    0,
   30,   30,    0,    0,    0,    0,   30,    0,   30,   30,
   30,    0,    0,    0,    0,   30,   30,   30,    0,   30,
   30,   30,    0,   30,   30,   30,   30,   30,   30,    0,
   30,   30,   30,   30,   30,   30,   32,   30,   32,   32,
   32,    0,    0,   32,   32,    0,    0,    0,  167,   32,
    0,   32,   32,   32,    0,    0,    0,    0,   32,   32,
   32,    0,   32,   32,   32,    0,   32,   32,   32,   32,
   32,   32,  190,   32,   32,   32,   32,   32,   32,   47,
   32,   49,    0,  168,   50,   51,  190,    0,    0,    0,
   52,    0,   53,   54,   55,  190,    0,  190,    0,    0,
   57,   58,    0,  190,   60,   61,    0,   62,   63,   64,
   65,   66,   67,    0,   68,   69,   70,   71,   72,   73,
    0,    0,  190,  190,  190,  190,    0,    0,    0,  190,
    0,    0,  190,    0,  190,    0,    0,  190,  190,    0,
    0,    0,  168,  190,    0,  190,  190,  190,    0,    0,
    0,    0,  191,  190,  190,    0,    0,  190,  190,    0,
  190,  190,  190,  190,  190,  190,  191,  190,  190,  190,
  190,  190,  190,    0,    0,  191,    0,  191,    0,    0,
    0,    0,    0,  191,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  191,  191,  191,  191,    0,    0,    0,  191,
    0,    0,  191,    0,  191,    0,    0,  191,  191,    0,
    0,   86,    0,  191,    0,  191,  191,  191,    0,    0,
    0,    0,    0,  191,  191,    0,    0,  191,  191,    0,
  191,  191,  191,  191,  191,  191,  167,  191,  191,  191,
  191,  191,  191,    0,  256,    0,    0,    0,    0,    0,
  167,    0,    0,    0,    0,    0,    0,    0,    0,  167,
    0,  167,    0,    0,    0,   86,    0,  167,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   86,    0,  167,  167,  167,  167,
    0,    0,    0,  167,   86,   86,  167,    0,  167,    0,
   86,  167,  167,    0,    0,    0,    0,  167,    0,  167,
  167,  167,    0,    0,    0,    0,    0,  167,  167,    0,
    0,  167,  167,    0,  167,  167,  167,  167,  167,  167,
  168,  167,  167,  167,  167,  167,  167,    0,    0,    0,
    0,    0,    0,   42,  168,    0,    0,    0,    0,    0,
    0,    0,    0,  168,    0,  168,  103,  104,    0,  107,
  108,  168,   42,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  242,    0,    0,
  168,  168,  168,  168,    0,    0,    0,  168,    0,    0,
  168,    0,  168,    0,    0,  168,  168,    0,    0,    0,
    0,  168,    0,  168,  168,  168,    0,    0,    0,    0,
    0,  168,  168,    0,    0,  168,  168,    0,  168,  168,
  168,  168,  168,  168,    0,  168,  168,  168,  168,  168,
  168,    0,    0,    0,    0,    0,   47,    0,    0,    0,
    0,   50,   51,    0,   42,    0,    0,   52,   42,   53,
    0,   55,    0,  284,   42,   42,    0,   57,   58,    0,
    0,    0,   61,    0,    0,   63,   64,    0,   66,   67,
  297,  297,    0,   70,   71,   72,   73,    0,    0,    0,
  295,    0,    0,    0,    0,    0,   42,    0,    0,   42,
   42,    0,    0,    0,    0,    0,    0,    0,    0,    8,
    0,    0,   42,   42,    0,   86,   86,    0,    9,   10,
   11,    0,   86,   12,   13,   14,   15,    0,    0,    0,
    0,    0,    0,    0,    0,   16,   17,   18,   19,   20,
    0,    0,    0,    0,  297,   21,   22,    0,   23,   47,
   24,   49,    0,    0,   50,   51,    0,    0,    0,    0,
   52,    0,   53,   54,   55,    0,    0,    0,    0,    0,
   57,   58,    0,    0,   60,   61,    0,   25,   63,   64,
   65,   66,   67,    0,   26,   69,   70,   71,   72,   73,
    0,    0,    0,    0,    0,    0,  235,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   42,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   42,    0,  205,    0,    0,    0,
    0,    0,    0,    0,   42,    0,    0,    0,  295,    0,
    0,    0,    0,    0,    0,  205,  235,  205,    0,    0,
    0,    0,  205,    0,    0,  235,    0,  235,    0,    0,
  235,  235,   42,    0,    0,   42,  235,    0,  235,  235,
  235,   42,    0,    0,    0,    0,  235,  235,    0,  341,
  235,  235,    0,    0,  235,  235,  235,  235,  235,    0,
    0,  235,  235,  235,  235,  235,    0,   47,    0,   49,
    0,    0,   50,   51,    0,    0,    0,   42,   52,    0,
   53,   54,   55,    0,    0,    0,    0,    0,   57,   58,
    0,    0,   60,   61,    0,    0,   63,   64,   65,   66,
   67,    0,    0,   69,   70,   71,   72,   73,   47,    0,
   49,    0,    0,   50,   51,    0,    0,    0,    0,   52,
    0,   53,   54,   55,    0,    0,    0,    0,    0,   57,
   58,    0,    0,   60,   61,    0,    0,   63,   64,   65,
   66,   67,    8,    0,   69,   70,   71,   72,   73,    0,
    0,    9,   10,   11,    0,    0,   12,   13,   14,   15,
    0,    0,    0,    0,    0,    0,    0,    0,   16,   17,
   18,   19,   20,    0,    0,    0,    0,    0,   21,   22,
    0,   23,   47,   24,    0,    0,    0,   50,   51,    0,
    0,    0,    0,   52,    0,   53,    0,   55,    0,    0,
    0,    0,    0,   57,   58,    0,    0,    0,   61,    0,
   25,   63,   64,    0,   66,   67,    8,   26,    0,   70,
   71,   72,   73,    0,    0,    9,   10,   11,    0,    0,
   12,   13,   14,   15,    0,    0,    0,    0,    0,    0,
    0,    0,   16,   17,   18,   19,   20,  222,    0,    8,
    0,    0,   21,   22,    0,   23,    0,   24,    9,   10,
   11,    0,    0,   12,   13,   14,   15,    0,    0,    0,
    0,    0,    0,    0,    0,   16,   17,   18,   19,   20,
    0,    0,    0,    0,   25,   21,   22,    0,   23,    0,
   24,   26,    8,    0,    0,    0,    0,    0,    0,    0,
    0,    9,   10,   11,    0,    0,   12,   13,   14,   15,
    0,    0,    0,    0,    0,    0,    0,   25,   16,   17,
   18,   19,  102,    0,   26,    8,    0,    0,   21,   22,
    0,   23,    0,   24,    9,   10,   11,    0,    0,   12,
   13,   14,   15,    0,    0,    0,    0,    0,    0,    0,
    0,   16,   17,   18,   19,  106,    0,    0,    0,    0,
   25,   21,   22,    0,   23,    0,   24,   26,    0,    0,
    0,    0,    0,    0,    0,   46,    0,   47,   48,   49,
    0,    0,   50,   51,    0,    0,    0,    0,   52,    0,
   53,   54,   55,   25,    0,    0,    0,   56,   57,   58,
   26,   59,   60,   61,    0,   62,   63,   64,   65,   66,
   67,    0,   68,   69,   70,   71,   72,   73,    0,   74,
};
short yycheck[] = {                                      59,
    0,  112,   59,  125,   97,   97,   97,   59,  125,  125,
   59,  156,  125,   20,   59,   59,  123,  176,  257,  189,
   59,  288,   59,  125,   45,  261,  262,  125,  257,  257,
  257,  175,  177,  144,  179,  257,  147,  148,  262,  123,
    2,    0,   59,  278,  279,  175,   59,  191,    0,  271,
   93,  123,   95,   96,  257,  252,  323,  314,    0,   59,
  317,  191,   56,  257,  257,  262,  290,   74,  280,  281,
  282,  283,  286,  287,  271,    0,  343,  168,    0,  308,
  308,    1,  310,  310,  314,  280,  125,  317,  125,  325,
  357,   85,   86,  290,   56,    0,  189,   91,  105,  106,
   59,  194,  109,  194,    0,  308,  250,    0,  125,  130,
  131,  132,  125,   75,  308,  308,  310,  288,  307,  263,
  250,  360,  288,   85,   86,  125,  128,  129,  271,   91,
  288,  273,  315,  263,   59,  318,  307,  180,  309,  257,
  307,  307,   59,  314,  275,  288,  291,  314,  314,  307,
  274,  309,    0,  244,   59,  257,  257,  302,  328,  257,
  314,  272,  276,  317,  307,  277,  125,    0,   59,  328,
  288,  314,  307,  270,  309,  272,    0,  198,  307,  314,
  309,  307,  289,  309,  314,  330,  361,  362,  363,  307,
  308,  309,  310,  113,  284,  285,  314,  257,  314,  314,
  125,  314,  313,  257,  308,  257,  310,  259,  257,  302,
  302,  302,  257,  257,  271,  345,    0,    0,  340,  271,
  125,  120,  121,  340,  126,  127,   59,  234,  288,  314,
  314,  308,    0,  317,  123,  328,  123,  330,  123,  330,
  160,  161,  314,  123,  355,  317,  280,  307,  308,  309,
  310,  123,  257,  259,  314,  308,  308,  257,  310,  259,
  260,  261,  262,  263,  264,  265,  266,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,   59,  125,  282,    0,  288,  289,  290,  257,  261,
  262,  271,  296,  297,  122,  123,  124,  125,  308,  303,
  310,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  257,  308,  296,  297,    0,  308,  258,  307,
  257,  303,  259,  259,   59,  270,  271,  272,  273,  308,
  314,  310,  257,   59,  271,  308,  314,  125,  123,  257,
  360,  257,  282,  325,  257,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  308,  280,  310,  282,  280,  307,  282,
  310,  308,  310,  310,  308,   59,  308,  288,    0,  319,
   59,  360,   59,  308,  282,  310,   59,  123,   59,  257,
  259,  307,  308,  309,  310,  308,  307,  310,  314,  125,
   59,  314,   59,  314,  257,   59,    0,    0,    0,    0,
    0,  308,  280,  257,  282,  360,  310,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  360,  280,   59,  282,   75,
  308,  125,    0,   59,  352,  278,  314,  162,  319,  245,
  282,  262,  325,  257,  257,  308,  114,  310,  118,  115,
  148,  116,  180,  307,  308,  309,  310,  117,  119,  257,
  314,  291,  259,   -1,   -1,   -1,  280,  280,  282,  282,
    0,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
   -1,   59,    0,  125,  308,  308,  310,  360,   -1,   -1,
  314,  314,   -1,   -1,  293,  294,   -1,   -1,   -1,   -1,
  308,   -1,  310,   -1,   -1,   -1,   -1,   -1,  307,   -1,
  309,  257,  311,  312,   -1,   -1,   -1,   -1,   -1,   59,
   -1,   -1,   -1,    0,  270,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
   -1,   59,   -1,   -1,   -1,   -1,   -1,  125,   -1,   -1,
   -1,   -1,  360,  257,   -1,   -1,   -1,   -1,   -1,   -1,
  257,   -1,  308,   -1,  310,   -1,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,   59,   -1,   -1,  125,    0,   -1,   -1,   -1,
   -1,  288,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,   -1,  308,   -1,  310,  125,   -1,   -1,
  307,  308,  309,  310,  360,  257,   -1,  314,   -1,   -1,
   -1,  257,   -1,   -1,   -1,   -1,   -1,   -1,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,   -1,   59,   -1,    0,  125,   -1,
   -1,   -1,  288,   -1,   -1,   -1,  360,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  308,   -1,  310,   -1,
   -1,  307,  308,  309,  310,   -1,  257,   -1,  314,  257,
   -1,   -1,   -1,   -1,  257,   -1,   -1,   -1,    0,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,   59,  288,   -1,   -1,
   -1,  125,    0,   -1,   -1,  288,   -1,  257,  360,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  307,  308,  309,  310,
  308,  271,  310,  314,  307,  308,  309,  310,   -1,  257,
   -1,  314,   -1,   -1,   -1,   -1,   -1,   59,   -1,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,    0,   -1,  308,   -1,
  310,   59,  125,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  257,   -1,  360,   -1,   -1,   -1,   -1,   -1,   -1,    0,
  308,   -1,  310,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,   -1,   -1,   -1,
   -1,    0,   -1,  125,   -1,   -1,   -1,   -1,   -1,   -1,
  360,   -1,   -1,    0,   -1,   59,   -1,   -1,   -1,   -1,
   -1,  308,   -1,  310,   -1,   -1,   -1,  125,   -1,   -1,
   -1,   -1,  360,  257,   -1,   -1,   -1,   -1,   59,   -1,
   -1,   -1,    0,   -1,   -1,   -1,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
   59,   -1,    0,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
    0,   -1,   59,  360,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  125,   -1,   -1,  308,   -1,  310,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  257,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  125,   -1,   -1,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,   59,   -1,   -1,   -1,   -1,  125,   -1,   -1,   59,
   -1,   -1,    0,   -1,   -1,  257,  360,   -1,  125,   -1,
    0,   -1,   -1,   -1,   -1,  308,   -1,  310,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,   -1,  257,
   -1,    0,   -1,   -1,   -1,   -1,    0,   -1,   -1,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,   -1,   -1,   -1,   -1,  308,  125,  310,    0,
   -1,   59,   -1,   -1,   -1,  125,   -1,  360,   -1,   59,
   -1,    0,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  308,   -1,  310,  257,   -1,   -1,   -1,   -1,   -1,   -1,
   59,   -1,   -1,    0,   -1,   59,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  257,   -1,  360,    0,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   59,  270,
  271,  272,  273,  274,  275,  276,  277,  125,  257,   -1,
   -1,   -1,  360,   -1,  308,  125,  310,   -1,   -1,   -1,
  257,  270,  271,  272,  273,  274,  275,  276,  277,   -1,
   -1,   -1,   59,  270,  271,  272,  125,  308,    0,  310,
   -1,  125,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  308,
   -1,  310,   -1,  271,  125,   -1,  360,   -1,   -1,  257,
   -1,  308,  280,  310,  282,   -1,   -1,  257,   -1,   -1,
  288,    0,  270,  271,  272,  273,  274,  275,  276,  360,
  270,  271,  272,  273,  274,  275,  276,   -1,  125,  307,
  308,  309,   -1,  317,   -1,   -1,  314,   -1,  322,  323,
   -1,  360,  123,   -1,  328,   -1,  330,   -1,  332,   -1,
  308,   -1,  310,  360,  338,  339,   -1,   -1,  308,  343,
  310,   -1,  346,  347,   -1,  349,  350,   -1,   -1,  257,
  354,  355,  356,  357,   -1,   -1,   -1,  257,   -1,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,   -1,   -1,
  270,  271,  272,  273,  274,  275,   -1,   -1,  257,   -1,
   -1,   -1,  360,  257,   -1,    0,   -1,   -1,   -1,   -1,
  360,  270,  271,  272,  273,  274,  270,  271,  272,  273,
  308,   -1,  310,   -1,   -1,   -1,  257,   -1,  308,   -1,
  310,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,  270,
  271,  272,  273,  274,   -1,   -1,   -1,   -1,   -1,  308,
   -1,  310,  271,   -1,  308,   -1,  310,   -1,   -1,   -1,
  257,  280,   -1,  282,   59,   -1,   -1,   -1,   -1,  288,
   -1,   -1,  360,  270,  271,  272,   -1,  308,   -1,  310,
  360,   -1,   -1,   -1,   -1,    0,   -1,   -1,  307,  308,
  309,   -1,   -1,   -1,   -1,  314,   -1,   -1,   -1,   -1,
   -1,  360,   -1,   -1,   -1,   -1,  360,   -1,  289,   -1,
   -1,  308,   -1,  310,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  360,
   -1,   -1,   -1,   -1,  315,   -1,  317,  318,  319,   -1,
   -1,  322,  323,   -1,   59,   -1,   -1,  328,   -1,  330,
  331,  332,   -1,   -1,   -1,   -1,  337,  338,  339,   -1,
  341,  342,  343,  360,  345,  346,  347,  348,  349,  350,
   -1,  352,  353,  354,  355,  356,  357,   -1,  359,    0,
   -1,   -1,   -1,  315,   -1,  317,  318,  319,   -1,   -1,
  322,  323,   -1,   -1,   -1,   -1,  328,   -1,  330,  331,
  332,   -1,   -1,   -1,   -1,  337,  338,  339,   -1,  341,
  342,  343,   -1,  345,  346,  347,  348,  349,  350,   -1,
  352,  353,  354,  355,  356,  357,  315,  359,  317,  318,
  319,   -1,   -1,  322,  323,   -1,   -1,   -1,   59,  328,
   -1,  330,  331,  332,   -1,   -1,   -1,   -1,  337,  338,
  339,   -1,  341,  342,  343,   -1,  345,  346,  347,  348,
  349,  350,  257,  352,  353,  354,  355,  356,  357,  317,
  359,  319,   -1,    0,  322,  323,  271,   -1,   -1,   -1,
  328,   -1,  330,  331,  332,  280,   -1,  282,   -1,   -1,
  338,  339,   -1,  288,  342,  343,   -1,  345,  346,  347,
  348,  349,  350,   -1,  352,  353,  354,  355,  356,  357,
   -1,   -1,  307,  308,  309,  310,   -1,   -1,   -1,  314,
   -1,   -1,  317,   -1,  319,   -1,   -1,  322,  323,   -1,
   -1,   -1,   59,  328,   -1,  330,  331,  332,   -1,   -1,
   -1,   -1,  257,  338,  339,   -1,   -1,  342,  343,   -1,
  345,  346,  347,  348,  349,  350,  271,  352,  353,  354,
  355,  356,  357,   -1,   -1,  280,   -1,  282,   -1,   -1,
   -1,   -1,   -1,  288,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  307,  308,  309,  310,   -1,   -1,   -1,  314,
   -1,   -1,  317,   -1,  319,   -1,   -1,  322,  323,   -1,
   -1,    2,   -1,  328,   -1,  330,  331,  332,   -1,   -1,
   -1,   -1,   -1,  338,  339,   -1,   -1,  342,  343,   -1,
  345,  346,  347,  348,  349,  350,  257,  352,  353,  354,
  355,  356,  357,   -1,  125,   -1,   -1,   -1,   -1,   -1,
  271,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  280,
   -1,  282,   -1,   -1,   -1,   56,   -1,  288,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   75,   -1,  307,  308,  309,  310,
   -1,   -1,   -1,  314,   85,   86,  317,   -1,  319,   -1,
   91,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,  330,
  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,   -1,
   -1,  342,  343,   -1,  345,  346,  347,  348,  349,  350,
  257,  352,  353,  354,  355,  356,  357,   -1,   -1,   -1,
   -1,   -1,   -1,    1,  271,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  280,   -1,  282,   14,   15,   -1,   17,
   18,  288,   20,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  168,   -1,   -1,
  307,  308,  309,  310,   -1,   -1,   -1,  314,   -1,   -1,
  317,   -1,  319,   -1,   -1,  322,  323,   -1,   -1,   -1,
   -1,  328,   -1,  330,  331,  332,   -1,   -1,   -1,   -1,
   -1,  338,  339,   -1,   -1,  342,  343,   -1,  345,  346,
  347,  348,  349,  350,   -1,  352,  353,  354,  355,  356,
  357,   -1,   -1,   -1,   -1,   -1,  317,   -1,   -1,   -1,
   -1,  322,  323,   -1,  102,   -1,   -1,  328,  106,  330,
   -1,  332,   -1,  244,  112,  113,   -1,  338,  339,   -1,
   -1,   -1,  343,   -1,   -1,  346,  347,   -1,  349,  350,
  261,  262,   -1,  354,  355,  356,  357,   -1,   -1,   -1,
  258,   -1,   -1,   -1,   -1,   -1,  144,   -1,   -1,  147,
  148,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  277,
   -1,   -1,  160,  161,   -1,  296,  297,   -1,  286,  287,
  288,   -1,  303,  291,  292,  293,  294,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,  307,
   -1,   -1,   -1,   -1,  325,  313,  314,   -1,  316,  317,
  318,  319,   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,
  328,   -1,  330,  331,  332,   -1,   -1,   -1,   -1,   -1,
  338,  339,   -1,   -1,  342,  343,   -1,  345,  346,  347,
  348,  349,  350,   -1,  352,  353,  354,  355,  356,  357,
   -1,   -1,   -1,   -1,   -1,   -1,  258,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  258,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  272,   -1,  288,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  282,   -1,   -1,   -1,  258,   -1,
   -1,   -1,   -1,   -1,   -1,  307,  308,  309,   -1,   -1,
   -1,   -1,  314,   -1,   -1,  317,   -1,  319,   -1,   -1,
  322,  323,  310,   -1,   -1,  313,  328,   -1,  330,  331,
  332,  319,   -1,   -1,   -1,   -1,  338,  339,   -1,  258,
  342,  343,   -1,   -1,  346,  347,  348,  349,  350,   -1,
   -1,  353,  354,  355,  356,  357,   -1,  317,   -1,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,  355,  328,   -1,
  330,  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,
   -1,   -1,  342,  343,   -1,   -1,  346,  347,  348,  349,
  350,   -1,   -1,  353,  354,  355,  356,  357,  317,   -1,
  319,   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,
   -1,  330,  331,  332,   -1,   -1,   -1,   -1,   -1,  338,
  339,   -1,   -1,  342,  343,   -1,   -1,  346,  347,  348,
  349,  350,  277,   -1,  353,  354,  355,  356,  357,   -1,
   -1,  286,  287,  288,   -1,   -1,  291,  292,  293,  294,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,
  305,  306,  307,   -1,   -1,   -1,   -1,   -1,  313,  314,
   -1,  316,  317,  318,   -1,   -1,   -1,  322,  323,   -1,
   -1,   -1,   -1,  328,   -1,  330,   -1,  332,   -1,   -1,
   -1,   -1,   -1,  338,  339,   -1,   -1,   -1,  343,   -1,
  345,  346,  347,   -1,  349,  350,  277,  352,   -1,  354,
  355,  356,  357,   -1,   -1,  286,  287,  288,   -1,   -1,
  291,  292,  293,  294,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  303,  304,  305,  306,  307,  308,   -1,  277,
   -1,   -1,  313,  314,   -1,  316,   -1,  318,  286,  287,
  288,   -1,   -1,  291,  292,  293,  294,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,  307,
   -1,   -1,   -1,   -1,  345,  313,  314,   -1,  316,   -1,
  318,  352,  277,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  286,  287,  288,   -1,   -1,  291,  292,  293,  294,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  345,  303,  304,
  305,  306,  307,   -1,  352,  277,   -1,   -1,  313,  314,
   -1,  316,   -1,  318,  286,  287,  288,   -1,   -1,  291,
  292,  293,  294,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  303,  304,  305,  306,  307,   -1,   -1,   -1,   -1,
  345,  313,  314,   -1,  316,   -1,  318,  352,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  315,   -1,  317,  318,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,
  330,  331,  332,  345,   -1,   -1,   -1,  337,  338,  339,
  352,  341,  342,  343,   -1,  345,  346,  347,  348,  349,
  350,   -1,  352,  353,  354,  355,  356,  357,   -1,  359,
};
#define YYFINAL 4
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 363
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"';'",0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,"'{'",0,"'}'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"DT_TOK_COMMA",
"DT_TOK_ELLIPSIS","DT_TOK_ASGN","DT_TOK_ADD_EQ","DT_TOK_SUB_EQ","DT_TOK_MUL_EQ",
"DT_TOK_DIV_EQ","DT_TOK_MOD_EQ","DT_TOK_AND_EQ","DT_TOK_XOR_EQ","DT_TOK_OR_EQ",
"DT_TOK_LSH_EQ","DT_TOK_RSH_EQ","DT_TOK_QUESTION","DT_TOK_COLON","DT_TOK_LOR",
"DT_TOK_LXOR","DT_TOK_LAND","DT_TOK_BOR","DT_TOK_XOR","DT_TOK_BAND",
"DT_TOK_EQU","DT_TOK_NEQ","DT_TOK_LT","DT_TOK_LE","DT_TOK_GT","DT_TOK_GE",
"DT_TOK_LSH","DT_TOK_RSH","DT_TOK_ADD","DT_TOK_SUB","DT_TOK_MUL","DT_TOK_DIV",
"DT_TOK_MOD","DT_TOK_LNEG","DT_TOK_BNEG","DT_TOK_ADDADD","DT_TOK_SUBSUB",
"DT_TOK_PREINC","DT_TOK_POSTINC","DT_TOK_PREDEC","DT_TOK_POSTDEC","DT_TOK_IPOS",
"DT_TOK_INEG","DT_TOK_DEREF","DT_TOK_ADDROF","DT_TOK_OFFSETOF","DT_TOK_SIZEOF",
"DT_TOK_STRINGOF","DT_TOK_XLATE","DT_TOK_LPAR","DT_TOK_RPAR","DT_TOK_LBRAC",
"DT_TOK_RBRAC","DT_TOK_PTR","DT_TOK_DOT","DT_TOK_STRING","DT_TOK_IDENT",
"DT_TOK_PSPEC","DT_TOK_AGG","DT_TOK_TNAME","DT_TOK_INT","DT_KEY_AUTO",
"DT_KEY_BREAK","DT_KEY_CASE","DT_KEY_CHAR","DT_KEY_CONST","DT_KEY_CONTINUE",
"DT_KEY_COUNTER","DT_KEY_DEFAULT","DT_KEY_DO","DT_KEY_DOUBLE","DT_KEY_ELSE",
"DT_KEY_ENUM","DT_KEY_EXTERN","DT_KEY_FLOAT","DT_KEY_FOR","DT_KEY_GOTO",
"DT_KEY_IF","DT_KEY_IMPORT","DT_KEY_INLINE","DT_KEY_INT","DT_KEY_LONG",
"DT_KEY_PROBE","DT_KEY_PROVIDER","DT_KEY_REGISTER","DT_KEY_RESTRICT",
"DT_KEY_RETURN","DT_KEY_SELF","DT_KEY_SHORT","DT_KEY_SIGNED","DT_KEY_STATIC",
"DT_KEY_STRING","DT_KEY_STRUCT","DT_KEY_SWITCH","DT_KEY_THIS","DT_KEY_TYPEDEF",
"DT_KEY_UNION","DT_KEY_UNSIGNED","DT_KEY_VOID","DT_KEY_VOLATILE","DT_KEY_WHILE",
"DT_KEY_XLATOR","DT_TOK_EPRED","DT_CTX_DEXPR","DT_CTX_DPROG","DT_CTX_DTYPE",
};
char *yyrule[] = {
"$accept : dtrace_program",
"dtrace_program : d_expression DT_TOK_EOF",
"dtrace_program : d_program DT_TOK_EOF",
"dtrace_program : d_type DT_TOK_EOF",
"d_expression : DT_CTX_DEXPR",
"d_expression : DT_CTX_DEXPR expression",
"d_program : DT_CTX_DPROG",
"d_program : DT_CTX_DPROG translation_unit",
"d_type : DT_CTX_DTYPE",
"d_type : DT_CTX_DTYPE type_name",
"translation_unit : external_declaration",
"translation_unit : translation_unit external_declaration",
"external_declaration : inline_definition",
"external_declaration : translator_definition",
"external_declaration : provider_definition",
"external_declaration : probe_definition",
"external_declaration : declaration",
"$$1 :",
"inline_definition : DT_KEY_INLINE declaration_specifiers declarator $$1 DT_TOK_ASGN assignment_expression ';'",
"translator_definition : DT_KEY_XLATOR type_name DT_TOK_LT type_name DT_TOK_IDENT DT_TOK_GT '{' translator_member_list '}' ';'",
"translator_definition : DT_KEY_XLATOR type_name DT_TOK_LT type_name DT_TOK_IDENT DT_TOK_GT '{' '}' ';'",
"translator_member_list : translator_member",
"translator_member_list : translator_member_list translator_member",
"translator_member : DT_TOK_IDENT DT_TOK_ASGN assignment_expression ';'",
"provider_definition : DT_KEY_PROVIDER DT_TOK_IDENT '{' provider_probe_list '}' ';'",
"provider_definition : DT_KEY_PROVIDER DT_TOK_IDENT '{' '}' ';'",
"provider_probe_list : provider_probe",
"provider_probe_list : provider_probe_list provider_probe",
"provider_probe : DT_KEY_PROBE DT_TOK_IDENT function DT_TOK_COLON function ';'",
"provider_probe : DT_KEY_PROBE DT_TOK_IDENT function ';'",
"probe_definition : probe_specifiers",
"probe_definition : probe_specifiers '{' statement_list '}'",
"probe_definition : probe_specifiers DT_TOK_DIV expression DT_TOK_EPRED",
"probe_definition : probe_specifiers DT_TOK_DIV expression DT_TOK_EPRED '{' statement_list '}'",
"probe_specifiers : probe_specifier_list",
"probe_specifier_list : probe_specifier",
"probe_specifier_list : probe_specifier_list DT_TOK_COMMA probe_specifier",
"probe_specifier : DT_TOK_PSPEC",
"probe_specifier : DT_TOK_INT",
"statement_list : statement",
"statement_list : statement_list ';' statement",
"statement :",
"statement : expression",
"argument_expression_list : assignment_expression",
"argument_expression_list : argument_expression_list DT_TOK_COMMA assignment_expression",
"primary_expression : DT_TOK_IDENT",
"primary_expression : DT_TOK_AGG",
"primary_expression : DT_TOK_INT",
"primary_expression : DT_TOK_STRING",
"primary_expression : DT_KEY_SELF",
"primary_expression : DT_KEY_THIS",
"primary_expression : DT_TOK_LPAR expression DT_TOK_RPAR",
"postfix_expression : primary_expression",
"postfix_expression : postfix_expression DT_TOK_LBRAC argument_expression_list DT_TOK_RBRAC",
"postfix_expression : postfix_expression DT_TOK_LPAR DT_TOK_RPAR",
"postfix_expression : postfix_expression DT_TOK_LPAR argument_expression_list DT_TOK_RPAR",
"postfix_expression : postfix_expression DT_TOK_DOT DT_TOK_IDENT",
"postfix_expression : postfix_expression DT_TOK_DOT DT_TOK_TNAME",
"postfix_expression : postfix_expression DT_TOK_PTR DT_TOK_IDENT",
"postfix_expression : postfix_expression DT_TOK_PTR DT_TOK_TNAME",
"postfix_expression : postfix_expression DT_TOK_ADDADD",
"postfix_expression : postfix_expression DT_TOK_SUBSUB",
"postfix_expression : DT_TOK_OFFSETOF DT_TOK_LPAR type_name DT_TOK_COMMA DT_TOK_IDENT DT_TOK_RPAR",
"postfix_expression : DT_TOK_OFFSETOF DT_TOK_LPAR type_name DT_TOK_COMMA DT_TOK_TNAME DT_TOK_RPAR",
"postfix_expression : DT_TOK_XLATE DT_TOK_LT type_name DT_TOK_GT DT_TOK_LPAR expression DT_TOK_RPAR",
"unary_expression : postfix_expression",
"unary_expression : DT_TOK_ADDADD unary_expression",
"unary_expression : DT_TOK_SUBSUB unary_expression",
"unary_expression : unary_operator cast_expression",
"unary_expression : DT_TOK_SIZEOF unary_expression",
"unary_expression : DT_TOK_SIZEOF DT_TOK_LPAR type_name DT_TOK_RPAR",
"unary_expression : DT_TOK_STRINGOF unary_expression",
"unary_operator : DT_TOK_BAND",
"unary_operator : DT_TOK_MUL",
"unary_operator : DT_TOK_ADD",
"unary_operator : DT_TOK_SUB",
"unary_operator : DT_TOK_BNEG",
"unary_operator : DT_TOK_LNEG",
"cast_expression : unary_expression",
"cast_expression : DT_TOK_LPAR type_name DT_TOK_RPAR cast_expression",
"multiplicative_expression : cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_MUL cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_DIV cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_MOD cast_expression",
"additive_expression : multiplicative_expression",
"additive_expression : additive_expression DT_TOK_ADD multiplicative_expression",
"additive_expression : additive_expression DT_TOK_SUB multiplicative_expression",
"shift_expression : additive_expression",
"shift_expression : shift_expression DT_TOK_LSH additive_expression",
"shift_expression : shift_expression DT_TOK_RSH additive_expression",
"relational_expression : shift_expression",
"relational_expression : relational_expression DT_TOK_LT shift_expression",
"relational_expression : relational_expression DT_TOK_GT shift_expression",
"relational_expression : relational_expression DT_TOK_LE shift_expression",
"relational_expression : relational_expression DT_TOK_GE shift_expression",
"equality_expression : relational_expression",
"equality_expression : equality_expression DT_TOK_EQU relational_expression",
"equality_expression : equality_expression DT_TOK_NEQ relational_expression",
"and_expression : equality_expression",
"and_expression : and_expression DT_TOK_BAND equality_expression",
"exclusive_or_expression : and_expression",
"exclusive_or_expression : exclusive_or_expression DT_TOK_XOR and_expression",
"inclusive_or_expression : exclusive_or_expression",
"inclusive_or_expression : inclusive_or_expression DT_TOK_BOR exclusive_or_expression",
"logical_and_expression : inclusive_or_expression",
"logical_and_expression : logical_and_expression DT_TOK_LAND inclusive_or_expression",
"logical_xor_expression : logical_and_expression",
"logical_xor_expression : logical_xor_expression DT_TOK_LXOR logical_and_expression",
"logical_or_expression : logical_xor_expression",
"logical_or_expression : logical_or_expression DT_TOK_LOR logical_xor_expression",
"constant_expression : conditional_expression",
"conditional_expression : logical_or_expression",
"conditional_expression : logical_or_expression DT_TOK_QUESTION expression DT_TOK_COLON conditional_expression",
"assignment_expression : conditional_expression",
"assignment_expression : unary_expression assignment_operator assignment_expression",
"assignment_operator : DT_TOK_ASGN",
"assignment_operator : DT_TOK_MUL_EQ",
"assignment_operator : DT_TOK_DIV_EQ",
"assignment_operator : DT_TOK_MOD_EQ",
"assignment_operator : DT_TOK_ADD_EQ",
"assignment_operator : DT_TOK_SUB_EQ",
"assignment_operator : DT_TOK_LSH_EQ",
"assignment_operator : DT_TOK_RSH_EQ",
"assignment_operator : DT_TOK_AND_EQ",
"assignment_operator : DT_TOK_XOR_EQ",
"assignment_operator : DT_TOK_OR_EQ",
"expression : assignment_expression",
"expression : expression DT_TOK_COMMA assignment_expression",
"declaration : declaration_specifiers ';'",
"declaration : declaration_specifiers init_declarator_list ';'",
"declaration_specifiers : d_storage_class_specifier",
"declaration_specifiers : d_storage_class_specifier declaration_specifiers",
"declaration_specifiers : type_specifier",
"declaration_specifiers : type_specifier declaration_specifiers",
"declaration_specifiers : type_qualifier",
"declaration_specifiers : type_qualifier declaration_specifiers",
"parameter_declaration_specifiers : storage_class_specifier",
"parameter_declaration_specifiers : storage_class_specifier declaration_specifiers",
"parameter_declaration_specifiers : type_specifier",
"parameter_declaration_specifiers : type_specifier declaration_specifiers",
"parameter_declaration_specifiers : type_qualifier",
"parameter_declaration_specifiers : type_qualifier declaration_specifiers",
"storage_class_specifier : DT_KEY_AUTO",
"storage_class_specifier : DT_KEY_REGISTER",
"storage_class_specifier : DT_KEY_STATIC",
"storage_class_specifier : DT_KEY_EXTERN",
"storage_class_specifier : DT_KEY_TYPEDEF",
"d_storage_class_specifier : storage_class_specifier",
"d_storage_class_specifier : DT_KEY_SELF",
"d_storage_class_specifier : DT_KEY_THIS",
"type_specifier : DT_KEY_VOID",
"type_specifier : DT_KEY_CHAR",
"type_specifier : DT_KEY_SHORT",
"type_specifier : DT_KEY_INT",
"type_specifier : DT_KEY_LONG",
"type_specifier : DT_KEY_FLOAT",
"type_specifier : DT_KEY_DOUBLE",
"type_specifier : DT_KEY_SIGNED",
"type_specifier : DT_KEY_UNSIGNED",
"type_specifier : DT_KEY_STRING",
"type_specifier : DT_TOK_TNAME",
"type_specifier : struct_or_union_specifier",
"type_specifier : enum_specifier",
"type_qualifier : DT_KEY_CONST",
"type_qualifier : DT_KEY_RESTRICT",
"type_qualifier : DT_KEY_VOLATILE",
"struct_or_union_specifier : struct_or_union_definition struct_declaration_list '}'",
"struct_or_union_specifier : struct_or_union DT_TOK_IDENT",
"struct_or_union_specifier : struct_or_union DT_TOK_TNAME",
"struct_or_union_definition : struct_or_union '{'",
"struct_or_union_definition : struct_or_union DT_TOK_IDENT '{'",
"struct_or_union_definition : struct_or_union DT_TOK_TNAME '{'",
"struct_or_union : DT_KEY_STRUCT",
"struct_or_union : DT_KEY_UNION",
"struct_declaration_list : struct_declaration",
"struct_declaration_list : struct_declaration_list struct_declaration",
"init_declarator_list : init_declarator",
"init_declarator_list : init_declarator_list DT_TOK_COMMA init_declarator",
"init_declarator : declarator",
"struct_declaration : specifier_qualifier_list struct_declarator_list ';'",
"specifier_qualifier_list : type_specifier",
"specifier_qualifier_list : type_specifier specifier_qualifier_list",
"specifier_qualifier_list : type_qualifier",
"specifier_qualifier_list : type_qualifier specifier_qualifier_list",
"struct_declarator_list : struct_declarator",
"struct_declarator_list : struct_declarator_list DT_TOK_COMMA struct_declarator",
"struct_declarator : declarator",
"struct_declarator : DT_TOK_COLON constant_expression",
"struct_declarator : declarator DT_TOK_COLON constant_expression",
"enum_specifier : enum_definition enumerator_list '}'",
"enum_specifier : DT_KEY_ENUM DT_TOK_IDENT",
"enum_specifier : DT_KEY_ENUM DT_TOK_TNAME",
"enum_definition : DT_KEY_ENUM '{'",
"enum_definition : DT_KEY_ENUM DT_TOK_IDENT '{'",
"enum_definition : DT_KEY_ENUM DT_TOK_TNAME '{'",
"enumerator_list : enumerator",
"enumerator_list : enumerator_list DT_TOK_COMMA enumerator",
"enumerator : DT_TOK_IDENT",
"enumerator : DT_TOK_IDENT DT_TOK_ASGN expression",
"declarator : direct_declarator",
"declarator : pointer direct_declarator",
"direct_declarator : DT_TOK_IDENT",
"direct_declarator : lparen declarator DT_TOK_RPAR",
"direct_declarator : direct_declarator array",
"direct_declarator : direct_declarator function",
"lparen : DT_TOK_LPAR",
"pointer : DT_TOK_MUL",
"pointer : DT_TOK_MUL type_qualifier_list",
"pointer : DT_TOK_MUL pointer",
"pointer : DT_TOK_MUL type_qualifier_list pointer",
"type_qualifier_list : type_qualifier",
"type_qualifier_list : type_qualifier_list type_qualifier",
"parameter_type_list : parameter_list",
"parameter_type_list : DT_TOK_ELLIPSIS",
"parameter_type_list : parameter_list DT_TOK_COMMA DT_TOK_ELLIPSIS",
"parameter_list : parameter_declaration",
"parameter_list : parameter_list DT_TOK_COMMA parameter_declaration",
"parameter_declaration : parameter_declaration_specifiers",
"parameter_declaration : parameter_declaration_specifiers declarator",
"parameter_declaration : parameter_declaration_specifiers abstract_declarator",
"type_name : specifier_qualifier_list",
"type_name : specifier_qualifier_list abstract_declarator",
"abstract_declarator : pointer",
"abstract_declarator : direct_abstract_declarator",
"abstract_declarator : pointer direct_abstract_declarator",
"direct_abstract_declarator : lparen abstract_declarator DT_TOK_RPAR",
"direct_abstract_declarator : direct_abstract_declarator array",
"direct_abstract_declarator : array",
"direct_abstract_declarator : direct_abstract_declarator function",
"direct_abstract_declarator : function",
"$$2 :",
"array : DT_TOK_LBRAC $$2 array_parameters DT_TOK_RBRAC",
"array_parameters :",
"array_parameters : constant_expression",
"array_parameters : parameter_type_list",
"$$3 :",
"function : DT_TOK_LPAR $$3 function_parameters DT_TOK_RPAR",
"function_parameters :",
"function_parameters : parameter_type_list",
};
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    int yym, yyn, yystate;
#if YYDEBUG
    const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 209 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ return (dt_node_root(yyvsp[-1].l_node)); }
break;
case 2:
#line 210 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ return (dt_node_root(yyvsp[-1].l_node)); }
break;
case 3:
#line 211 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ return (dt_node_root(yyvsp[-1].l_node)); }
break;
case 4:
#line 214 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = NULL; }
break;
case 5:
#line 215 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[0].l_node; }
break;
case 6:
#line 218 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_program(NULL); }
break;
case 7:
#line 219 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_program(yyvsp[0].l_node); }
break;
case 8:
#line 222 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = NULL; }
break;
case 9:
#line 223 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = (dt_node_t *)yyvsp[0].l_decl; }
break;
case 11:
#line 228 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = LINK(yyvsp[-1].l_node, yyvsp[0].l_node); }
break;
case 17:
#line 241 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_scope_push(NULL, CTF_ERR); }
break;
case 18:
#line 242 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			/*
			 * We push a new declaration scope before shifting the
			 * assignment_expression in order to preserve ds_class
			 * and ds_ident for use in dt_node_inline().  Once the
			 * entire inline_definition rule is matched, pop the
			 * scope and construct the inline using the saved decl.
			 */
			dt_scope_pop();
			yyval.l_node = dt_node_inline(yyvsp[-1].l_node);
		}
break;
case 19:
#line 257 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_xlator(yyvsp[-8].l_decl, yyvsp[-6].l_decl, yyvsp[-5].l_str, yyvsp[-2].l_node);
		}
break;
case 20:
#line 261 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_xlator(yyvsp[-7].l_decl, yyvsp[-5].l_decl, yyvsp[-4].l_str, NULL);
		}
break;
case 22:
#line 268 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = LINK(yyvsp[-1].l_node,yyvsp[0].l_node); }
break;
case 23:
#line 272 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_member(NULL, yyvsp[-3].l_str, yyvsp[-1].l_node);
		}
break;
case 24:
#line 278 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_provider(yyvsp[-4].l_str, yyvsp[-2].l_node);
		}
break;
case 25:
#line 281 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_provider(yyvsp[-3].l_str, NULL);
		}
break;
case 27:
#line 288 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = LINK(yyvsp[-1].l_node, yyvsp[0].l_node); }
break;
case 28:
#line 292 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_probe(yyvsp[-4].l_str, 2, yyvsp[-3].l_node, yyvsp[-1].l_node);
		}
break;
case 29:
#line 295 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_probe(yyvsp[-2].l_str, 1, yyvsp[-1].l_node, NULL);
		}
break;
case 30:
#line 302 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			/*
			 * If the input stream is a file, do not permit a probe
			 * specification without / <pred> / or { <act> } after
			 * it.  This can only occur if the next token is EOF or
			 * an ambiguous predicate was slurped up as a comment.
			 * We cannot perform this check if input() is a string
			 * because dtrace(1M) [-fmnP] also use the compiler and
			 * things like dtrace -n BEGIN have to be accepted.
			 */
			if (yypcb->pcb_fileptr != NULL) {
				dnerror(yyvsp[0].l_node, D_SYNTAX, "expected predicate and/"
				    "or actions following probe description\n");
			}
			yyval.l_node = dt_node_clause(yyvsp[0].l_node, NULL, NULL);
		}
break;
case 31:
#line 318 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_clause(yyvsp[-3].l_node, NULL, yyvsp[-1].l_node);
		}
break;
case 32:
#line 321 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dnerror(yyvsp[-1].l_node, D_SYNTAX, "expected actions { } following "
			    "probe description and predicate\n");
		}
break;
case 33:
#line 326 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_clause(yyvsp[-6].l_node, yyvsp[-4].l_node, yyvsp[-1].l_node);
		}
break;
case 34:
#line 332 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yybegin(YYS_EXPR); yyval.l_node = yyvsp[0].l_node; }
break;
case 36:
#line 337 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = LINK(yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 37:
#line 343 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_pdesc_by_name(yyvsp[0].l_str); }
break;
case 38:
#line 344 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_pdesc_by_id(yyvsp[0].l_int); }
break;
case 39:
#line 347 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[0].l_node; }
break;
case 40:
#line 348 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = LINK(yyvsp[-2].l_node, yyvsp[0].l_node); }
break;
case 41:
#line 351 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = NULL; }
break;
case 42:
#line 352 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_statement(yyvsp[0].l_node); }
break;
case 44:
#line 357 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = LINK(yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 45:
#line 363 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_ident(yyvsp[0].l_str); }
break;
case 46:
#line 364 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_ident(yyvsp[0].l_str); }
break;
case 47:
#line 365 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_int(yyvsp[0].l_int); }
break;
case 48:
#line 366 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_string(yyvsp[0].l_str); }
break;
case 49:
#line 367 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_ident(DUP("self")); }
break;
case 50:
#line 368 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_ident(DUP("this")); }
break;
case 51:
#line 369 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[-1].l_node; }
break;
case 53:
#line 375 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LBRAC, yyvsp[-3].l_node, yyvsp[-1].l_node);
		}
break;
case 54:
#line 378 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_func(yyvsp[-2].l_node, NULL);
		}
break;
case 55:
#line 382 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_func(yyvsp[-3].l_node, yyvsp[-1].l_node);
		}
break;
case 56:
#line 385 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_DOT, yyvsp[-2].l_node, dt_node_ident(yyvsp[0].l_str));
		}
break;
case 57:
#line 388 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_DOT, yyvsp[-2].l_node, dt_node_ident(yyvsp[0].l_str));
		}
break;
case 58:
#line 391 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_PTR, yyvsp[-2].l_node, dt_node_ident(yyvsp[0].l_str));
		}
break;
case 59:
#line 394 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_PTR, yyvsp[-2].l_node, dt_node_ident(yyvsp[0].l_str));
		}
break;
case 60:
#line 397 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP1(DT_TOK_POSTINC, yyvsp[-1].l_node);
		}
break;
case 61:
#line 400 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP1(DT_TOK_POSTDEC, yyvsp[-1].l_node);
		}
break;
case 62:
#line 404 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_offsetof(yyvsp[-3].l_decl, yyvsp[-1].l_str);
		}
break;
case 63:
#line 408 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_offsetof(yyvsp[-3].l_decl, yyvsp[-1].l_str);
		}
break;
case 64:
#line 412 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_XLATE, dt_node_type(yyvsp[-4].l_decl), yyvsp[-1].l_node);
		}
break;
case 66:
#line 419 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = OP1(DT_TOK_PREINC, yyvsp[0].l_node); }
break;
case 67:
#line 420 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = OP1(DT_TOK_PREDEC, yyvsp[0].l_node); }
break;
case 68:
#line 421 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = OP1(yyvsp[-1].l_tok, yyvsp[0].l_node); }
break;
case 69:
#line 422 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = OP1(DT_TOK_SIZEOF, yyvsp[0].l_node); }
break;
case 70:
#line 423 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP1(DT_TOK_SIZEOF, dt_node_type(yyvsp[-1].l_decl));
		}
break;
case 71:
#line 426 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP1(DT_TOK_STRINGOF, yyvsp[0].l_node);
		}
break;
case 72:
#line 431 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_ADDROF; }
break;
case 73:
#line 432 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_DEREF; }
break;
case 74:
#line 433 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_IPOS; }
break;
case 75:
#line 434 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_INEG; }
break;
case 76:
#line 435 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_BNEG; }
break;
case 77:
#line 436 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_LNEG; }
break;
case 79:
#line 441 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LPAR, dt_node_type(yyvsp[-2].l_decl), yyvsp[0].l_node);
		}
break;
case 81:
#line 448 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_MUL, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 82:
#line 451 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_DIV, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 83:
#line 454 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_MOD, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 85:
#line 461 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_ADD, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 86:
#line 464 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_SUB, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 88:
#line 471 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LSH, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 89:
#line 474 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_RSH, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 91:
#line 481 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LT, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 92:
#line 484 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_GT, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 93:
#line 487 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LE, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 94:
#line 490 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_GE, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 96:
#line 497 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_EQU, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 97:
#line 500 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_NEQ, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 99:
#line 507 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_BAND, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 101:
#line 514 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_XOR, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 103:
#line 521 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_BOR, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 105:
#line 528 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LAND, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 107:
#line 535 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LXOR, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 109:
#line 542 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_LOR, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 112:
#line 553 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = OP3(yyvsp[-4].l_node, yyvsp[-2].l_node, yyvsp[0].l_node); }
break;
case 114:
#line 558 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(yyvsp[-1].l_tok, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 115:
#line 564 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_ASGN; }
break;
case 116:
#line 565 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_MUL_EQ; }
break;
case 117:
#line 566 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_DIV_EQ; }
break;
case 118:
#line 567 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_MOD_EQ; }
break;
case 119:
#line 568 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_ADD_EQ; }
break;
case 120:
#line 569 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_SUB_EQ; }
break;
case 121:
#line 570 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_LSH_EQ; }
break;
case 122:
#line 571 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_RSH_EQ; }
break;
case 123:
#line 572 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_AND_EQ; }
break;
case 124:
#line 573 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_XOR_EQ; }
break;
case 125:
#line 574 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = DT_TOK_OR_EQ; }
break;
case 127:
#line 578 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = OP2(DT_TOK_COMMA, yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 128:
#line 583 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_decl();
			dt_decl_free(dt_decl_pop());
			yybegin(YYS_CLAUSE);
		}
break;
case 129:
#line 588 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = yyvsp[-1].l_node;
			dt_decl_free(dt_decl_pop());
			yybegin(YYS_CLAUSE);
		}
break;
case 142:
#line 614 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_AUTO); }
break;
case 143:
#line 615 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_REGISTER); }
break;
case 144:
#line 616 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_STATIC); }
break;
case 145:
#line 617 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_EXTERN); }
break;
case 146:
#line 618 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_TYPEDEF); }
break;
case 148:
#line 623 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_SELF); }
break;
case 149:
#line 624 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_class(DT_DC_THIS); }
break;
case 150:
#line 627 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("void")); }
break;
case 151:
#line 628 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("char")); }
break;
case 152:
#line 629 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_SHORT); }
break;
case 153:
#line 630 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("int")); }
break;
case 154:
#line 631 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_LONG); }
break;
case 155:
#line 632 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_FLOAT, DUP("float")); }
break;
case 156:
#line 633 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_FLOAT, DUP("double")); }
break;
case 157:
#line 634 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_SIGNED); }
break;
case 158:
#line 635 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_UNSIGNED); }
break;
case 159:
#line 636 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_decl = dt_decl_spec(CTF_K_TYPEDEF, DUP("string"));
		}
break;
case 160:
#line 639 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_TYPEDEF, yyvsp[0].l_str); }
break;
case 163:
#line 644 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_CONST); }
break;
case 164:
#line 645 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_RESTRICT); }
break;
case 165:
#line 646 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_attr(DT_DA_VOLATILE); }
break;
case 166:
#line 650 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_decl = dt_scope_pop();
		}
break;
case 167:
#line 653 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(yyvsp[-1].l_tok, yyvsp[0].l_str); }
break;
case 168:
#line 654 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(yyvsp[-1].l_tok, yyvsp[0].l_str); }
break;
case 169:
#line 658 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_sou(yyvsp[-1].l_tok, NULL); }
break;
case 170:
#line 659 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_sou(yyvsp[-2].l_tok, yyvsp[-1].l_str); }
break;
case 171:
#line 660 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_sou(yyvsp[-2].l_tok, yyvsp[-1].l_str); }
break;
case 172:
#line 664 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = CTF_K_STRUCT; }
break;
case 173:
#line 665 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_tok = CTF_K_UNION; }
break;
case 177:
#line 675 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = LINK(yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 178:
#line 681 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_decl();
			dt_decl_reset();
		}
break;
case 179:
#line 688 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dt_decl_free(dt_decl_pop());
		}
break;
case 181:
#line 695 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = yyvsp[0].l_decl; }
break;
case 183:
#line 697 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = yyvsp[0].l_decl; }
break;
case 186:
#line 706 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_member(NULL); }
break;
case 187:
#line 707 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_member(yyvsp[0].l_node); }
break;
case 188:
#line 708 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dt_decl_member(yyvsp[0].l_node);
		}
break;
case 189:
#line 714 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_scope_pop(); }
break;
case 190:
#line 715 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_ENUM, yyvsp[0].l_str); }
break;
case 191:
#line 716 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_spec(CTF_K_ENUM, yyvsp[0].l_str); }
break;
case 192:
#line 720 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_enum(NULL); }
break;
case 193:
#line 721 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_enum(yyvsp[-1].l_str); }
break;
case 194:
#line 722 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_enum(yyvsp[-1].l_str); }
break;
case 197:
#line 730 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_enumerator(yyvsp[0].l_str, NULL); }
break;
case 198:
#line 731 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dt_decl_enumerator(yyvsp[-2].l_str, yyvsp[0].l_node);
		}
break;
case 201:
#line 741 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_ident(yyvsp[0].l_str); }
break;
case 202:
#line 742 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = yyvsp[-1].l_decl; }
break;
case 203:
#line 743 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_array(yyvsp[0].l_node); }
break;
case 204:
#line 744 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_func(yyvsp[-1].l_decl, yyvsp[0].l_node); }
break;
case 205:
#line 747 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_top()->dd_attr |= DT_DA_PAREN; }
break;
case 206:
#line 750 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_ptr(); }
break;
case 207:
#line 751 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_ptr(); }
break;
case 208:
#line 752 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_ptr(); }
break;
case 209:
#line 753 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = dt_decl_ptr(); }
break;
case 211:
#line 758 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = yyvsp[0].l_decl; }
break;
case 213:
#line 763 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = dt_node_vatype(); }
break;
case 214:
#line 764 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = LINK(yyvsp[-2].l_node, dt_node_vatype());
		}
break;
case 216:
#line 770 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = LINK(yyvsp[-2].l_node, yyvsp[0].l_node);
		}
break;
case 217:
#line 776 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 218:
#line 779 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 219:
#line 782 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 220:
#line 787 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_decl = dt_decl_pop();
		}
break;
case 221:
#line 790 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			yyval.l_decl = dt_decl_pop();
		}
break;
case 225:
#line 802 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_decl = yyvsp[-1].l_decl; }
break;
case 226:
#line 803 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_array(yyvsp[0].l_node); }
break;
case 227:
#line 804 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_array(yyvsp[0].l_node); yyval.l_decl = NULL; }
break;
case 228:
#line 805 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_func(yyvsp[-1].l_decl, yyvsp[0].l_node); }
break;
case 229:
#line 806 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_decl_func(NULL, yyvsp[0].l_node); }
break;
case 230:
#line 809 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_scope_push(NULL, CTF_ERR); }
break;
case 231:
#line 810 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dt_scope_pop();
			yyval.l_node = yyvsp[-1].l_node;
		}
break;
case 232:
#line 817 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = NULL; }
break;
case 233:
#line 818 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[0].l_node; }
break;
case 234:
#line 819 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[0].l_node; }
break;
case 235:
#line 822 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ dt_scope_push(NULL, CTF_ERR); }
break;
case 236:
#line 823 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{
			dt_scope_pop();
			yyval.l_node = yyvsp[-1].l_node;
		}
break;
case 237:
#line 830 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = NULL; }
break;
case 238:
#line 831 "/x/eng/rlse51/DOT/nightly/R8.2.1xN_140228_1627/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
{ yyval.l_node = yyvsp[0].l_node; }
break;
#line 2250 "dt_grammar.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
